
import useAppStore from '@/store/modules/app'
import usePermissionStore from '@/store/modules/permission'

const appStore = useAppStore()
const permissionStore = usePermissionStore()


export function changeRoute() {
    let menus = appStore.allnavList
    console.log('allnavList',menus)

    let type = appStore.navStatus.type === 'manage' ? 'project' : 'manage'

    let filterMenus = type === 'manage' ? menus.filter(item => item.type === '1') : menus.filter(item => item.type === '2')
   
    console.log('filterMenus',filterMenus)
    appStore.setallNav(menus)
    appStore.setNavStatus({type: type})
      
    permissionStore.setSidebarRouters(filterMenus)
}